/* This is -*- C -*- */
/* vim: set sw=2: */

/*
 * guppi-price-series-core-impl.h
 *
 * Copyright (C) 2000 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@gnu.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef _INC_GUPPI_PRICE_SERIES_CORE_IMPL_H
#define _INC_GUPPI_PRICE_SERIES_CORE_IMPL_H

/* #include <gtk/gtk.h> */
#include <guppi-defs.h>
#include <guppi-garray.h>
#include <guppi-price-series-impl.h>

BEGIN_GUPPI_DECLS

typedef struct _GuppiPriceSeriesCoreImpl GuppiPriceSeriesCoreImpl;
typedef struct _GuppiPriceSeriesCoreImplClass GuppiPriceSeriesCoreImplClass;

struct _GuppiPriceSeriesCoreImpl {
  GuppiPriceSeriesImpl parent;

  GDate start_date, end_date;
  gsize size;
  GuppiGArray *garray;
};

struct _GuppiPriceSeriesCoreImplClass {
  GuppiPriceSeriesImplClass parent_class;
};

#define GUPPI_TYPE_PRICE_SERIES_CORE_IMPL (guppi_price_series_core_impl_get_type ())
#define GUPPI_PRICE_SERIES_CORE_IMPL(obj) (GTK_CHECK_CAST((obj),GUPPI_TYPE_PRICE_SERIES_CORE_IMPL,GuppiPriceSeriesCoreImpl))
#define GUPPI_PRICE_SERIES_CORE_IMPL0(obj) ((obj) ? (GUPPI_PRICE_SERIES_CORE_IMPL(obj)) : NULL)
#define GUPPI_PRICE_SERIES_CORE_IMPL_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass),GUPPI_TYPE_PRICE_SERIES_CORE_IMPL,GuppiPriceSeriesCoreImplClass))
#define GUPPI_IS_PRICE_SERIES_CORE_IMPL(obj) (GTK_CHECK_TYPE((obj), GUPPI_TYPE_PRICE_SERIES_CORE_IMPL))
#define GUPPI_IS_PRICE_SERIES_CORE_IMPL0(obj) (((obj) == NULL) || (GUPPI_IS_PRICE_SERIES_CORE_IMPL(obj)))
#define GUPPI_IS_PRICE_SERIES_CORE_IMPL_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GUPPI_TYPE_PRICE_SERIES_CORE_IMPL))

GtkType guppi_price_series_core_impl_get_type (void);



END_GUPPI_DECLS

#endif /* _INC_GUPPI_PRICE_SERIES_CORE_IMPL_H */

/* $Id: guppi-price-series-core-impl.h,v 1.3 2001/01/16 23:35:48 trow Exp $ */
