/* This is -*- C -*- */
/* $Id: guppi-curve-impl.c,v 1.4 2000/12/14 20:23:04 trow Exp $ */

/*
 * guppi-curve-impl.c
 *
 * Copyright (C) 2000 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@gnu.org> and
 * Havoc Pennington <hp@pobox.com>.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <config.h>
#include <guppi-memory.h>
#include "guppi-curve-impl.h"

static GtkObjectClass *parent_class = NULL;

enum {
  ARG_0
};

static void
guppi_curve_impl_get_arg (GtkObject * obj, GtkArg * arg, guint arg_id)
{
  switch (arg_id) {

  default:
    break;
  };
}

static void
guppi_curve_impl_set_arg (GtkObject * obj, GtkArg * arg, guint arg_id)
{
  switch (arg_id) {

  default:
    break;
  };
}

static void
guppi_curve_impl_destroy (GtkObject * obj)
{
  if (parent_class->destroy)
    parent_class->destroy (obj);
}

static void
guppi_curve_impl_finalize (GtkObject * obj)
{
  if (parent_class->finalize)
    parent_class->finalize (obj);
}

static void
guppi_curve_impl_class_init (GuppiCurveImplClass * klass)
{
  GtkObjectClass *object_class = (GtkObjectClass *) klass;

  parent_class = gtk_type_class (GUPPI_TYPE_DATA_IMPL);

  object_class->get_arg = guppi_curve_impl_get_arg;
  object_class->set_arg = guppi_curve_impl_set_arg;
  object_class->destroy = guppi_curve_impl_destroy;
  object_class->finalize = guppi_curve_impl_finalize;

}

static void
guppi_curve_impl_init (GuppiCurveImpl * obj)
{

}

GtkType guppi_curve_impl_get_type (void)
{
  static GtkType guppi_curve_impl_type = 0;
  if (!guppi_curve_impl_type) {
    static const GtkTypeInfo guppi_curve_impl_info = {
      "GuppiCurveImpl",
      sizeof (GuppiCurveImpl),
      sizeof (GuppiCurveImplClass),
      (GtkClassInitFunc) guppi_curve_impl_class_init,
      (GtkObjectInitFunc) guppi_curve_impl_init,
      NULL, NULL, (GtkClassInitFunc) NULL
    };
    guppi_curve_impl_type =
      gtk_type_unique (GUPPI_TYPE_DATA_IMPL, &guppi_curve_impl_info);
  }
  return guppi_curve_impl_type;
}


/* $Id: guppi-curve-impl.c,v 1.4 2000/12/14 20:23:04 trow Exp $ */
