/* $Id: guppi-plot-init.c,v 1.6 2001/05/06 00:07:36 trow Exp $ */

/*
 * guppi-plot-init.c
 *
 * Copyright (C) 2000 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@gnu.org>
 * and Havoc Pennington <hp@pobox.com>.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <config.h>
#include <guppi-guile.h>
#include "guppi-plot-init.h"
#include "guppi-scm-plot.h"

#ifdef HAVE_PYTHON
void guppi_python_plot_init (void);
#endif

void
guppi_plot_init (void)
{
  static gboolean inited = FALSE;
  g_return_if_fail (inited == FALSE);
  inited = TRUE;

  if (guppi_guile_is_active ())
    guppi_scm_plot_init ();

#ifdef HAVE_PYTHON
  guppi_python_plot_init ();
#endif
}


/* $Id: guppi-plot-init.c,v 1.6 2001/05/06 00:07:36 trow Exp $ */
